# Uses of Interface
org.eclipse.emf.cdo.lm.reviews.Comment

Packages that use Comment
Package
Description
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.reviews.provider
org.eclipse.emf.cdo.lm.reviews.util

## Uses of Comment in org.eclipse.emf.cdo.lm.reviews

Subinterfaces of Comment in org.eclipse.emf.cdo.lm.reviews
Modifier and Type
Interface
Description
`interface`
`Heading`
A representation of the model object 'Heading'.
Methods in org.eclipse.emf.cdo.lm.reviews that return Comment
Modifier and Type
Method
Description
`Comment`
ReviewsFactory.`createComment()`
Returns a new object of class 'Comment'.
Methods in org.eclipse.emf.cdo.lm.reviews that return types with arguments of type Comment
Modifier and Type
Method
Description
`EList<Comment>`
Commentable.`getComments()`
Returns the value of the 'Comments' containment reference list.

## Uses of Comment in org.eclipse.emf.cdo.lm.reviews.impl

Classes in org.eclipse.emf.cdo.lm.reviews.impl that implement Comment
Modifier and Type
Class
Description
`class`
`CommentImpl`
An implementation of the model object 'Comment'.
`class`
`HeadingImpl`
An implementation of the model object 'Heading'.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Comment
Modifier and Type
Method
Description
`Comment`
ReviewsFactoryImpl.`createComment()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return types with arguments of type Comment
Modifier and Type
Method
Description
`EList<Comment>`
CommentableImpl.`getComments()`
`EList<Comment>`
ReviewImpl.`getComments()`

## Uses of Comment in org.eclipse.emf.cdo.lm.reviews.provider

Methods in org.eclipse.emf.cdo.lm.reviews.provider with parameters of type Comment
Modifier and Type
Method
Description
`protected String`
CommentItemProvider.`getTextString(Comment comment)`
`protected String`
HeadingItemProvider.`getTextString(Comment comment)`

## Uses of Comment in org.eclipse.emf.cdo.lm.reviews.util

Methods in org.eclipse.emf.cdo.lm.reviews.util with parameters of type Comment
Modifier and Type
Method
Description
`T`
ReviewsSwitch.`caseComment(Comment object)`
Returns the result of interpreting the object as an instance of 'Comment'.